# Class LoginComponent

- Defined in login/login.component.ts:76

#####
Index

### Constructors

constructor

### Properties

requestingPasswordReset$

### Methods

requestPasswordReset

##
Constructors

### constructor

- new LoginComponent(
  authentication: RxapAuthenticationService,
  snackBar: MatSnackBar,
  ): LoginComponent

  #### Parameters

  - authentication: RxapAuthenticationService
  - snackBar: MatSnackBar

  #### Returns LoginComponent

  - Defined in login/login.component.ts:82

##
Properties

### `Readonly` requestingPasswordReset$

requestingPasswordReset$: ToggleSubject = ...

- Defined in login/login.component.ts:78

##
Methods

### requestPasswordReset

- requestPasswordReset(email: string): Promise<void>

  #### Parameters

  - email: string

  #### Returns Promise<void>

  - Defined in login/login.component.ts:90